Linux 平台七大桌面环境通览
================================================================================
通常的 Linux 发行版都使用 KDE 或者 GNOME 作为默认的桌面环境。它们都给用户提供了一个原始的并且有吸引力的桌面，并且内置了各式各样的多媒体软件、系统程序、游戏、实用程序、网页开发工具、编程工具等等。这两个桌面致力于提供给用户一个拥有类似于 Windows 操作系统体验的尖端计算环境，而不是如何更少的占用系统资源。

如果你正在使用 Ubuntu (或者其他Linux发行版) 并且厌倦了始终使用 Unity 桌面，那么你应该看看这些可以替代 Unity 的选择。我收集了 7 种桌面环境。它们都很棒。在你读完这篇文章之后，请试着使用它们吧。

### [Mate][1] ###

![](http://i0.wp.com/pulpybucket.com/wp-content/uploads/2014/06/mate.png)

MATE 是 GNOME2 的一个分支。它提供了一个自然且吸引人的桌面环境。它是 Linux 和其它类 Unix 工作环境中的传统工作框架的代表。MATE 在保留传统的桌面体验的同时正在不断进步使用新的技术。 

在 Ubuntu 14.04 中，可以直接从 Ubuntu 软件中心获取 MATE 桌面。

### [KDE][2] ###

![](http://i2.wp.com/pulpybucket.com/wp-content/uploads/2014/06/Kubuntu-9.04-DesktopEffects.png)

KDE 是另一个类似于 GNOME 一样的重量级桌面环境。它在本文章所提及的7种桌面环境中被认为是最华丽最重量级的一个。它同样是一个类似于 Windows 的桌面，在这一点上没有什么特殊的变化。不过 KDE 非常有特点，但是随之而来的是可以通过大量的设置来提升你的桌面体验。同样的，有很多关于 KDE 的话题，所以你可以很舒服的使用 KDE，并让它以你希望的方式工作。

### [Cinnamon][3] ###

![](http://i1.wp.com/pulpybucket.com/wp-content/uploads/2014/06/WD9O-C08B-ESP5.jpg)

Cinnamon 是一个基于 Gtk+ 的环境。它最初作为 GNOME Shell 的一个用户界面分支，由 Linux Mint 为其创建的。 Cinnamon 的核心设计目标是让桌面终端和触屏设备都能完美操作。无论是使用鼠标，还是使用触摸屏都可以获得同样便捷的操作。不像 KDE Plasma 工作空间，只有一种图形用户体验。当前版本—— Cinnamon 2.0 于2013年10月10日发布。 

### [Unity][4] ###

![](http://i1.wp.com/pulpybucket.com/wp-content/uploads/2014/06/Ubuntu_13.10_Desktop.png)

Unity 是 GNOME 桌面环境的一个界面，由 Canonical 公司创建，用于 Ubuntu 系统中。Unity 最初现身于 Ubuntu 10.10 的上网本版本中。它起初打算充分利用上网本的屏幕空间，例如一个竖直的应用启动器和一个节省空间的多功能顶部菜单栏。Unity 不像 GNOME、KDE、 Xfce 或者 LXDE 是许多软件的合集，它是为了可用性而开发的。

### [GNOME Shell][5]  ###

![](http://i0.wp.com/pulpybucket.com/wp-content/uploads/2014/06/GNOME_Shell_3.6.png)

GNOME 提供了桌面核心接口例如交换窗口，启动应用程序以及显示提示。它利用先进的图形硬件来实现吸引人的、创新的界面思想，提供了愉悦简单的用户体验。GNOME Shell 定义了 GNOME 3 的客户体验。 

作为 GNOME 的一个重要组成部分， GNOME Shell 的稳定版本首次发布于2011年3月3日。

### [Xfce][6] ###

![](http://i0.wp.com/pulpybucket.com/wp-content/uploads/2014/06/New-Picture1.jpg)

Xfce 是一个轻量级的桌面环境，围绕 GTK 框架实现。它看起来很像 Gnome 2 和 MATE，然而 Xfce 是它们的轻量级替代品。相较于 KDE 和 GNOME 3 而言，Xfce 非常轻量级，所以它对于运行轻量级的工具或者那些希望实现最大执行效率的框架使用者来说是理想的环境。它还不是可以获得的最轻量级的选择 - 请继续往下看 - 然而，Xfce 的确完成了执行效率和功能的平衡。 

### [LXDE][7] ###

![](http://i2.wp.com/pulpybucket.com/wp-content/uploads/2014/06/LXDE_desktop_full.png)

LXDE 显然是桌面环境中最轻量级的选择，至少在传统的桌面标准中是这样。这个基于 GTK 的桌面环境使用了很多轻量级的选择替代了默认的应用（例如 Abiword, Gnumeric, 而不是 LibreOffice）。它没有提供炫目的视觉震撼 ，总体感觉也不是特别的棒，没有高级的设置。但是，LXDE 仍然提供了漂亮的桌面和完整的功能。当你需要快速简洁时，它就是你的选择。

--------------------------------------------------------------------------------

via: http://pulpybucket.com/top-7-desktop-environment-linux/

译者：[wwhio](https://github.com/wwhio) 校对：[Caroline](https://github.com/carolinewuyan)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://mate-desktop.org/
[2]:http://kde.org/
[3]:http://cinnamon.linuxmint.com/
[4]:https://unity.ubuntu.com/
[5]:http://www.gnome.org/
[6]:http://xfce.org/
[7]:http://lxde.org/
 
