为什么你的公司需要参与更多开源软件的编写
================================================================================
>闭关锁国是产生不了创新的。

![](http://a5.files.readwrite.com/image/upload/c_fill,h_900,q_70,w_1600/MTE5NDg0MDYxMTkxMzQxNTgz.jpg)


**华尔街日报 [称][1]，有消息表明，Zulily正在开发** 更多的内部软件，但实际上根本不是。多年前[Eric Raymond写道][2]，全世界95%的软件写来用的，而不是售卖。原因很多，但是其中有一个比较突出：正如Zulily的CIO Luke Friang所说，几乎没有一个[非定制]软件解决方案能跟上我们的步伐。 

20年前是这样，现在也是这样。

但是有一点是不同的，这也正是华尔街日报完全忽略的地方。而这也正是历史上开发的内部软件始终保持着专有的原因了，因为她是一个公司的 核心竞争力。然而今天，越来越多的公司意识到另一面：开源内部软件将会比保持专有获益更多。

这也就是为什么你的公司需要为开源项目做出更多的贡献。记住是更多。

我们刚刚经历了一个很不一样的20年，那时很多软件的开发都是为了内部的使用，大多数人的精力都放在由SAP和微软这样的厂商建立的应用广泛的企业级解决方案。

不管怎么说，这都是一个理论。

在实践中，买方花费很少的钱购买license，然后至少付出5倍以上的代价来使软件符合他们的需求。比如说，一个公司可能在一个ERP系统上花费  100,000美元，但是他们还得继续花费500,000来维持软件正常运行。

开源软件甚至是应用程序正式发展起来的原因之一是很多公司可以免费获得一些功能性的产品（或者是以一个相对便宜的费用获得产品）， 然后定制为他们所需要的。不管怎样，定制是有必要的，而且开源的根本是使成本更低，或许，这样的定制或许能产生更好的结果。

同时，开发者尽量的减少同类之间的相似之处。作为Redmonk分析师，[Stephen O'Grady认为][3]:

> 从最近几年看，主流技术产业都有意避开专业化。运行在定制操作系统上的虚拟设备，已经彻底败给了RHEL和Windowns这些通用的操作系统。 最快20年，任何程序的数据保存都意味着一件事：一个关联的数据库，如果你要做的是企业级应用开发，那么你首先要接触的是Java，等等。

然而，开源的道路上，一些公司也发现，有些销售商不能很好地描述他们所想要的，即便是很好理解的产品类别，如像内容管理系统，他们需要 知道的是产品亮点，而不希望是一个模子刻出来的。

所以顾客没了，他们中有一部分上转变变成了供应商。

这也是常有的事，[O'Grady指出了][4]这一点。2010年，O'Grady发现了一个有趣的现象：“软件提供商正面对着一个强有力的市场竞争者：他们 的顾客。” 

回想一下今天的高科技，大多数都是开源的，几乎所有的项目一开始都是某些公司的内部项目，或者仅仅是有些开发者的爱好，Linux，Git，Hadoop，Cassandra，MongDB，Android，等等。没有一个项目起初是为了售卖而产生的。

相反，这些项目通常是由一些公司维护，他们使用开源的资源来构建软件并[完善软件][5]，这主要是一些Web公司。不像以前银行，医院和一些组织开发的软件只供内部使用，他们开源源码。

虽然，[有些公司避免定制软件][6]，因为他们不想自己维护它，开源(稍微)减轻了这些发展中公司来维护一个项目的压力。从而为项目发起人均摊项目的开发成本，Yahoo，开始于Hadoop，但是现在最大的贡献者是Cloudera和Hortonworks。Facebook开始于Cassandra，但是现在主要是靠DataStax在维护。等等。

今天，真正的软件创新并不是闭门造车能造出来的，即便是可以，它也不会在那儿，开源项目颠覆了几十年的软件开发传统。

这不仅仅是一个人的一点点力量。

最好的开源项目都[发展得很快][7]，但是这并不意味着别人在乎你的开源代码。[开放你的源码有显著的优缺点][8]，其中一个很重要的优点是 很多伟大的开发者都希望为开源做出贡献：如果你也想找一个伟大的开发者跟你一起，你需要给他们一个开放的源代码来让他们工作。（[Netflix][9]说）

但是，我们没有理由站在一边看，现在正是时候参与开源社区了，而不是一些不清楚的社区。是的，开源最大的参与者正是你们和你们的公司。 赶紧开始吧。

主要图片来自于Shutterstock. (注：Shutterstock是美国的一家摄影图片网站。)
--------------------------------------------------------------------------------

via: http://readwrite.com/2014/08/16/open-source-software-business-zulily-erp-wall-street-journal

作者：[Matt Asay][a]
译者：[barney-ro](https://github.com/barney-ro)
校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[a]:http://readwrite.com/author/matt-asay
[1]:http://blogs.wsj.com/cio/2014/08/08/zulily-calls-in-house-software-a-differentiator-for-competitive-advantage/
[2]:http://oreilly.com/catalog/cathbazpaper/chapter/ch05.html
[3]:http://redmonk.com/sogrady/2010/01/12/roll-your-own/#ixzz3ATBuZsef
[4]:http://redmonk.com/sogrady/2010/01/12/roll-your-own/
[5]:http://en.wikipedia.org/wiki/The_Cathedral_and_the_Bazaar
[6]:http://www.abajournal.com/magazine/article/roll_your_own_software_hidden_dangers_on_the_road_less_traveled/
[7]:http://readwrite.com/2013/12/12/open-source-innovation
[8]:http://readwrite.com/2014/07/07/open-source-software-pros-cons
[9]:http://techblog.netflix.com/2012/07/open-source-at-netflix-by-ruslan.html
